cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ben Pope" <benpop...@gmail.com>
Subject Re: upgrade jakarta-bcel ?
Date Mon, 10 Apr 2006 23:12:21 GMT
On 10/04/06, Ben Pope <benpope81@gmail.com> wrote:
> On 10/04/06, Antonio Gallardo <agallardo@agssa.net> wrote:
> > Ben Pope escribió:
> > >
> > > With a little digging around, 5.2RC1 has recently been released:
> > > http://article.gmane.org/gmane.comp.jakarta.bcel.devel/1052
> > >
> > > And they're looking for testers, perhaps it is still time to upgrade?
> > >
> > Thanks for the link. This link points to the "Torsten site" in apache. I
> > will not consider it an official release until it shows up in the bcel
> > main site.
> >
> > I guess Jorg is trying to solve maven2 dependencies hell. Using this
> > newer release will be the same as the current one for his goal.
>
> Understood, I was pointing out that a newer release is on the horizon,
> that it might better prepare cocoon for 5.2 when it does arrive, as
> well as providing a testing ground for bcel.

In case you or anybody else is interested, I downloaded
bcel-5.2rc1.zip, extracted bcel-5.2rc1.jar, ran:
mvn install:install-file -DgroupId=jakarta-bcel
-DartifactId=jakarta-bcel -Dversion=5.2rc1 -Dpackaging=jar
-Dfile=./bcel-5.2rc1.jar

Changed: core/cocoon-core/pom.xml:
Index: pom.xml
===================================================================
--- pom.xml	(revision 393100)
+++ pom.xml	(working copy)
@@ -313,7 +313,7 @@
     <dependency>
       <groupId>jakarta-bcel</groupId>
       <artifactId>jakarta-bcel</artifactId>
-      <version>20040329</version>
+      <version>5.2rc1</version>
     </dependency>
     <dependency>
       <groupId>org.springframework</groupId>


Rebuilt, and it compiled ok.  I also ran the webapp, and nothing
spurious happened, but I'm not sure where bcel is used, so I don't
know if that tested it or not.

Ben Pope
--
I'm not just a number. To many, I'm known as a string...
Mime
View raw message